Subject: Re: Herbalist Multimedia

From: [email-masked] (VWinter)
Date: 21 Mar 1995 22:47:01 -0500

there are severval diskettes that has severval different levels of
herbalism-home, business, doctor..,etc...Steve Blake ND...PO Box 873-Ben
Lomond, Ca...95005...408-336-2442...has made up the disks...demo disk
costs $5...might be worth looking into....Also, Liberty Naturals in
Portland, OR.-800-289-8427 has something on disk...haven't tried either,
yet...hope this info will help...